using APT.Infrastructure.Core;
using System;
using System.ComponentModel;
using APT.BaseData.Domain.Entities;
namespace APT.MS.Domain.Entities.FO
{
    [Description("作业活动记录附件表")]
    public class T_FO_JOB_ACTIVITY_MEASURE_FILE : MesEntityBase
    {
        [Description("作业活动记录表ID")]
        [DataFieldForeignKey("Nav_Measure", "Nav_Files")]
        public Guid T_FO_JOB_ACTIVITY_MEASURE_ID { get; set; }

        [Description("导航属性：作业活动记录表")]
        public virtual T_FO_JOB_ACTIVITY_MEASURE Nav_Measure { get; set; }

        [Description("文件ID")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid? IMG_FILE_ID { get; set; }

        [Description("导航属性：文件")]
        public virtual T_PF_IMG_FILE Nav_ImgFile { get; set; }




    }
}
